using Assets.Scripts;
using System.Collections;
using System.Collections.Generic;
using TMPro;
using UnityEngine;
using UnityEngine.UI;

public class GiftController : MonoBehaviour
{
    [SerializeField] Button Button;
    [SerializeField] DatingController DatingController;
    [SerializeField] Image Icon;
    [SerializeField] TMP_Text NameText;

    public Gift Gift;

    public void SetGift(Gift gift)
    {
        Gift = gift;
        Icon.sprite = DatingController.GiftSprites[gift.Path];
        NameText.text = gift.Name;
    }

    public void Disable()
    {
        Button.enabled = false;
        Icon.gameObject.SetActive(false);
        NameText.gameObject.SetActive(false);
    }

    public void Enable()
    {
        Button.enabled = true;
        Icon.gameObject.SetActive(true);
        NameText.gameObject.SetActive(true);
    }

    void Start()
    {
        
    }

    void Update()
    {
        
    }
}
